<%@ page import="com.ether.WebException" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="tiles" uri="/WEB-INF/tlds/struts-tiles.tld" %>
<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>

<tiles:insert page="/resources/templates/templateEther.jsp" flush="true">

    <tiles:put name="insertCss" type="string">
        <ether:htmlCss cssFile="select"/>
        <ether:htmlCss cssFile="calendar/anytime"/>
        <ether:htmlCss cssFile="jquery-ui-1.8.16.custom/jquery-ui-1.8.16.custom"/>
    </tiles:put>

    <tiles:put name="insertJsOrJsp" type="string">
        <ether:htmlJs jsFile="library/jquery.json-2.3"/>
        <ether:htmlJs jsFile="classesForJQuery/Select"/>
        <ether:htmlJs jsFile="calendar/anytime"/>
        <ether:htmlJsp jspFile="formTapas_script"/>
    </tiles:put>

    <tiles:put name="title" type="string"><spring:message code="app.title"/> - <spring:message code="title.home"/></tiles:put>
    <tiles:put name="nav" type="string"><a href=""><spring:message code="label.home"/></a></tiles:put>


    <%-- ****************** CONTENT ****************** --%>
    <tiles:put name="bodytitle" type="string"><spring:message code="title.home"/></tiles:put>

    <tiles:put name="body" type="string">

        <div id="formulaire">

        </div>

        <div id="errors"></div>

        <script type="text/javascript">
            var tapasTexts = $A( "" );
            tapasTexts["label.submitButton"] = '<spring:message code="label.submitButton"/>';
            tapasTexts["<%=WebException.WebCode.ERROR_JSON_TAPAS_IS_NULL%>"] = "<spring:message code="error.ERROR_JSON_TAPAS_IS_NULL"/>";

            //var interfaceTapas = new InterfaceTapas(${jSonFileFormats},${jSonYesNos},${jSonObservatories},${jSonSelectUnits});
            var interfaceTapas = new InterfaceTapas(${jSonFileFormats},${jSonYesNos},${jSonObservatories});
        </script>

    </tiles:put>

</tiles:insert>
